%define upstream_name    Text-Emoticon-MSN
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Emoticon filter of MSN Messenger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Emoticon)
BuildArch: noarch


%description
Text::Emoticon::MSN is a text filter that replaces text emoticons like
":-)", ";-P", etc. to the icons of MSN Messenger, detailed in
http://messenger.msn.com/Resource/Emoticons.aspx

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-9.mga8
+ Revision: 1497642
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-8.mga7
+ Revision: 1272036
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1034912
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 940497
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 747836
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 686617
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 515520
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 374029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 23920
- cleaning spec file
- imported package perl-Text-Emoticon-MSN

